---
name: "albumVideoFileDetail"
mode: "kit"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.5" }
---

## albumVideoFileDetail

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.5

### Description

Retrieve Time Album video file details

### Parameters

`Params`

| Parameter | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `params` | `IAlbumVideoFileDetailReq` | Yes | - | Request body |

### Referenced Types

##### `interface` IAlbumVideoFileDetailReq

| Property | Type | Description |
| --- | --- | --- |
| `stockId` | `number` | Inventory ID |
| `gid` | `string` | Home ID |
| `timeAlbumId` | `number` | Album ID |
| `timeAlbumRecordId` | `number` | Time Album file record ID (from the id returned by m.ipc.time.album.video.file.list) |

##### `interface` IFileUrl

| Property | Type | Description |
| --- | --- | --- |
| `fileUrl` | `string` | File path |
| `fileName` | `string` | File name (custom added, not returned by the API) |


### Examples

#### Request example

```typescript
import { albumVideoFileDetail } from '@tuya-miniapp/cloud-api';

albumVideoFileDetail({
  stockId: 1,
  gid: '194137',
  timeAlbumId: 100,
  timeAlbumRecordId: 10001,
})
  .then((row) => console.log(row))
  .catch(console.error);
```

#### Response example

```json
{
  "id": 10001,
  "captureTime": 1700000000000,
  "type": 1,
  "coverInfo": { "fileUrl": "https://images.example.com/thumb.jpg" },
  "mediaInfo": { "fileUrl": "https://videos.example.com/clip.mp4" }
}
```
